Status: Closed   

Priority: Normal   

Category:    

Customer: BOSCH Product Issue

Numbers:

 

Department: CC-AD/EYF Affected Products: ADTF 2.13.3

Requester's Priority: Normal Platform: Windows 7 64bit

Support Level: 2nd Level Topic: ADTF::Common

Resolution: Solved Issue FAQ Links:  

Description

Support Anfrage:

besteht die Möglichkeit eine ADTF Messung Remote per WebService o.ä. zu starten?

Sprich ADTF starten, Messung starten, Console auslesen, etc.

Lösung:

Sieh Dir bitte in der SDK Doku den Abschnitt Starting and automizating ADTF für weitere Informationen hierzu an.

Es ist möglich ADTF per Python Script zu steuern. Siehe  ADTF User Manual auf Seite 23, Punkt 1.12 Python Support.

In der SDK Doku findest Du das Example Demo Extended Python Project .

History

#1 - 2019-05-15 09:59 - hidden

- Status changed from New to In Progress

- Topic set to ADTF::Common

#2 - 2019-05-15 12:03 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Florian Delmar,

wie genau ist Remote per WebService gemeint?

Wie soll ADTF per WebService gestartet oder bedient werden?

#3 - 2019-05-16 09:51 - hidden

Hallo,

gibt es eine Möglichkeit von Außerhalb ADTF fernzusteuern? Sprich Start/Stop(De-initializing), Console auslesen?

WebService war nur eine Idee weil wir dies von DiagRA D so kennen. Da ist quasi ALLES erreichbar/einstellbar von Tools außerhalb von DiagRA.

Unser Hintergrund ist, dass wir für den Fahrzeugdauerlauf eine für den Fahrer ansprechende GUI basteln welche mit einem Knopf in der GUI

(Windows C-Sharp Programm) ADTF und CANape starten.

Und optional eben Rückmeldungen liefern wie die Aufzeichnung klappt oder welche Fehler es gab.

#4 - 2019-05-16 11:19 - hidden

Hallo Florian,

es ist möglich ADTF per Python Script zu steuern. Sieh Dir hierzu bitte im ADTF User Manual auf Seite 23 den Punkt 1.12 Python Support an.

In der SDK Doku findest Du das Example Demo Extended Python Project .

Sieh Dir bitte in der SDK Doku auch den Abschnitt Starting and automizating ADTF für weitere Informationen hierzu an.

Hilft Dir das weiter?

#5 - 2019-05-21 11:01 - hidden
https://support.digitalwerk.net/adtf/v2/adtf_sdk_html_docs/page_starting_adtf.html
https://support.digitalwerk.net/adtf/v2/ADTFUserManual.pdf
https://support.digitalwerk.net/adtf/v2/adtf_sdk_html_docs/page_configuration_python_extended.html
https://support.digitalwerk.net/adtf/v2/ADTFUserManual.pdf
https://support.digitalwerk.net/adtf/v2/adtf_sdk_html_docs/page_configuration_python_extended.html
https://support.digitalwerk.net/adtf/v2/adtf_sdk_html_docs/page_starting_adtf.html


Hallo Florian,

wir haben kein Feedback mehr erhalten.

Hat dir die Antwort geholfen und kann das Ticket damit geschlossen werden?

Bitte Feedback geben bis 23.05.19

#6 - 2019-05-21 11:02 - hidden

Hallo,

bitte noch nicht schließen. Unser Werkstudent arbeitet momentan da dran und er ist nicht jeden Tag im Haus.

#7 - 2019-05-23 16:50 - hidden

Ok, kann geschlossen werden. Da eh bald die Umstellung auf Windows 10 und damit ADTF 3 ansteht und ADTF 3 eine Fernsteuerung erlaubt,

verzichten wir bei ADTF 2 darauf.

Python ist gerade keine Option.

#8 - 2019-05-24 08:24 - hidden

- Subject changed from Fernsteuerung von ADTF to Remote control of ADTF 2.x

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Solved Issue

#9 - 2019-07-19 08:19 - hidden

- Project changed from 5 to Public Support

- Status changed from To Be Closed to Closed

- Private changed from Yes to No
